# Status

PFASDR consists of a process chain, data artifacts and an integration into an optimization heuristic. This page provides an overview of the component statuses.

| [Grid<br/>Modeller](https://gitlab.com/pfasdr/code/pfasdr.code.grid-modeller) | [Grid<br/>Models](https://gitlab.com/pfasdr/pfasdr.data.grid.models) | [Grid<br/>Sampler](https://gitlab.com/pfasdr/code/sampler) | [Grid<br/>Samples](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples) | [Machine<br/>Trainer](https://gitlab.com/pfasdr/code/pfasdr.code.machine-trainer) | [Grid<br/>Surrogates](https://gitlab.com/pfasdr/data/pfasdr.data.grid.surrogates) | [Grid<br/>Decoder](https://gitlab.com/pfasdr/code/decoder) | [Situation<br/>Examples](https://gitlab.com/pfasdr/pfasdr.data.grid.examples) | [Heuristic Optimization](https://gitlab.com/pfasdr/code/main) |
| :-------------: | :-------------: | :-------------:  | :--------------: | :-----------------: | :------------------: | :-----: | :------: | :----------: |
| [![pipeline status](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/pipelines) <br/><br/> [![coverage report](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/badges/master/coverage.svg)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/-/commits/master)| [Linear<br/>(1 - 100)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/-/tree/master/data/grid/models) <br/><br/> [MV Oberrhein](https://gitlab.com/pfasdr/data/pfasdr.data.grid.models/-/tree/master/data/grid/models) <br/><br/> [DynSim<br/>(15 node)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples/pfasdr.data.grid.samples.15-node-dynsim-benchmark/-/tree/master/model) | [![](https://gitlab.com/pfasdr/code/sampler/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/code/sampler/pipelines) <br/><br/> [![coverage report](https://gitlab.com/pfasdr/code/sampler/badges/master/coverage.svg)](https://gitlab.com/pfasdr/code/sampler/-/jobs) | [Linear<br/>(1 - 15)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples/pfasdr.data.grid.samples.linear-1-15-node) <br/><br/> [Linear<br/>(20 - 100)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples/pfasdr.data.grid.samples.linear-20-100-nodes) <br/><br/> [MV<br/>Oberrhein](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples/pfasdr.data.grid.samples.mv-oberrhein) <br/><br/> [DynSim<br/>(15 node)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.samples/pfasdr.data.grid.samples.15-node-dynsim-benchmark) | [![pipeline status](https://gitlab.com/pfasdr/code/pfasdr.code.machine-trainer/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/code/pfasdr.code.machine-trainer/pipelines) <br/><br/> [![coverage report](https://gitlab.com/pfasdr/code/pfasdr.code.machine-trainer/badges/master/coverage.svg)](https://gitlab.com/pfasdr/code/pfasdr.code.machine-trainer/-/jobs) | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [Linear<br>(1 - 15)](https://gitlab.com/pfasdr/data/pfasdr.data.grid.surrogates/pfasdr.data.grid.surrogates.linear-1-15-node/-/tree/master/) | [![pipeline status](https://gitlab.com/pfasdr/code/decoder/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/code/decoder/pipelines) <br/><br/> [![coverage report](https://gitlab.com/pfasdr/code/decoder/badges/master/coverage.svg)](https://gitlab.com/pfasdr/code/decoder/-/jobs) | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [![pipeline status](https://gitlab.com/pfasdr/code/main/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/code/main/pipelines) <br/><br/> [![coverage report](https://gitlab.com/pfasdr/code/main/badges/master/coverage.svg)](https://gitlab.com/pfasdr/code/main/-/jobs) |


![](https://gitlab.com/pfasdr/documentation/pfasdr.documentation.public/-/raw/master/Prozessdiagramm_Sampling_Learning_Decoding.png)

Base Images:

| [![pipeline status](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/-/commits/master) |  | [![pipeline status](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/-/commits/master) |  | [![pipeline status](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/-/commits/master) |  | [![pipeline status](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/-/commits/master) |        | [![pipeline status](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/badges/master/pipeline.svg)](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage/-/commits/master) |
| ------ | ------ | ------ | ------ | ------ | ------ | ------ | ------ | ------ |
| &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Python](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage) |        | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Python](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage) |        | &nbsp;&nbsp;[Python + ROCm](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage)  |        |  &nbsp;&nbsp;[Python + ROCm](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage)  |        | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Python](https://gitlab.com/pfasdr/mesa/pfasdr_mesa_baseimage) |
| &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ubuntu&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ubuntu&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ubuntu&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ubuntu&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ubuntu&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; |
